Bug 204916 - Add Quirks for Dell ChromeBook: Allows boot/run
Summary: Add Quirks for Dell ChromeBook: Allows boot/run
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: amd64 Any
: Normal Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-11-30 13:29 UTC by Keith White
Modified: 2019-02-03 14:55 UTC (History)
1 user (show)

See Also:


Attachments
dell chromebook quirk patch (993 bytes, patch)
2015-11-30 13:29 UTC, Keith White
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keith White 2015-11-30 13:29:31 UTC
Created attachment 163686 [details]
dell chromebook quirk patch

The Dell chromebook is similar to the Acer C720.  The same quirks allow FreeBSD to boot and run.
Comment 1 commit-hook freebsd_committer 2019-01-14 01:31:29 UTC
A commit references this bug:

Author: gonzo
Date: Mon Jan 14 01:30:48 UTC 2019
New revision: 343008
URL: https://svnweb.freebsd.org/changeset/base/343008

Log:
  Add Dell Chromebook to the list of devices with E820 extmem quirk enabled

  Just like for Acer C270 chromebook the E820 extmem workaround is required for
  FreeBSD to boot on Dell chromebook.

  PR:		204916
  Submitted by:	Keith White <kwhite@site.uottawa.ca>
  MFC after:	1 week

Changes:
  head/stand/i386/libi386/biosmem.c
Comment 2 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-14 01:32:55 UTC
biosmem part committed, the keyboard patch no longer required after base r307468
Comment 3 commit-hook freebsd_committer 2019-02-03 14:55:12 UTC
A commit references this bug:

Author: gonzo
Date: Sun Feb  3 14:54:29 UTC 2019
New revision: 343715
URL: https://svnweb.freebsd.org/changeset/base/343715

Log:
  MFC r343008:

  Add Dell Chromebook to the list of devices with E820 extmem quirk enabled

  Just like for Acer C270 chromebook the E820 extmem workaround is required for
  FreeBSD to boot on Dell chromebook.

  PR:		204916
  Submitted by:	Keith White <kwhite@site.uottawa.ca>

Changes:
_U  stable/12/
  stable/12/stand/i386/libi386/biosmem.c